
Redmine - Defect #39154

Mailhandler

2023-10-06 13:05 - Andreas Hoffmann

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 5.0.6

Description

Hi,

after update to 5.0.6 by "Incoming Mails" become this Error:

MailHandler: an unexpected error occurred when receiving email: uninitialized constant Mail::

RubyVer

Did you mean?  RubyVM

 After comment this Code

 #       if Mail::RubyVer.respond_to?(:pick_encoding)

 #         Mail::RubyVer.pick_encoding(p.charset).to_s

 #       else

          p.charset

 #       end

 work for me.

Related issues:

Related to Redmine - Patch #37993: Update Mail gem to 2.8 Closed

History

#1 - 2023-10-07 03:58 - Go MAEDA

- Category changed from Ruby support to Gems support

- Status changed from New to Needs feedback

I think you are using Mail gem >= 2.8.0 with Redmine 5.0.6.

Probably changing back the line starts with `gem "mail"` as follows and run `bundle up` fixes the issue.

gem "mail", "~> 2.7.1" 

#2 - 2023-10-07 03:58 - Go MAEDA

- Related to Patch #37993: Update Mail gem to 2.8 added

#3 - 2023-10-09 09:01 - Andreas Hoffmann

Hello,

after to set

gem "mail", "~> 2.7.1" 

 and bundle update

i'm become this error

Bundler::GemNotFound: Could not find mail-2.7.1.gem for installation

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/source/rubygems.rb:157:in `install'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/installer/gem_installer.rb:54:in `install'
  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/installer/gem_installer.rb:16:in `install_from_spec'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/installer/parallel_installer.rb:156:in `do_install'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/installer/parallel_installer.rb:147:in `block in 

worker_pool'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/worker.rb:62:in `apply_func'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/worker.rb:57:in `block in process_queue'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/worker.rb:54:in `loop'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/worker.rb:54:in `process_queue'

  /var/lib/gems/3.0.0/gems/bundler-2.4.12/lib/bundler/worker.rb:90:in `block (2 levels) in create_threads'

An error occurred while installing mail (2.7.1), and Bundler cannot continue.

In Gemfile:

  additional_tags was resolved to 3.1.0.pre.main, which depends on

    redmine_plugin_kit was resolved to 1.0.4, which depends on

      rails was resolved to 6.1.7.6, which depends on

        actionmailbox was resolved to 6.1.7.6, which depends on

          mail

 Thanks
